Skip to main content
`Ctrl`+`K`

# pandas.api.extensions.ExtensionArray.duplicated

ExtensionArray.duplicated(keep='first')

  Return boolean ndarray denoting duplicate values.

  Parameters:
    keep{‘first’, ‘last’, False}, default ‘first’

      - `first` : Mark duplicates as `True` except for the first occurrence.

      - `last` : Mark duplicates as `True` except for the last occurrence.

      - False : Mark all duplicates as `True`.

  Returns:
    ndarray[bool]

  Examples

      >>> pd.array([1, 1, 2, 3, 3], dtype="Int64").duplicated()
      array([False,  True, False, False,  True])